GDAL-VECTOR-SET-FIELD-TYPE(1)

NAME
gdal-vector-set-field-type - Modify the type of a field of a vector dataset

Added in version 3.12.

SYNOPSIS

    Usage: gdal vector set-field-type [OPTIONS] <INPUT> <OUTPUT>
    Modify the type of a field of a vector dataset.
    Positional arguments:
      -i, --input <INPUT>                                  Input vector datasets [required]
      -o, --output <OUTPUT>                                Output vector dataset [required]
    Common Options:
      -h, --help                                           Display help message and exit
      --json-usage                                         Display usage as JSON document and exit
      --config <KEY>=<VALUE>                               Configuration option [may be repeated]
      -q, --quiet                                          Quiet mode (no progress bar)
    Options:
      -l, --layer, --input-layer <INPUT-LAYER>             Input layer name(s) [may be repeated]
      -f, --of, --format, --output-format <OUTPUT-FORMAT>  Output format ("GDALG" allowed)
      --co, --creation-option <KEY>=<VALUE>                Creation option [may be repeated]
      --lco, --layer-creation-option <KEY>=<VALUE>         Layer creation option [may be repeated]
      --overwrite                                          Whether overwriting existing output is allowed
      --update                                             Whether to open existing dataset in update mode
      --overwrite-layer                                    Whether overwriting existing output is allowed
      --append                                             Whether appending to existing layer is allowed
                                                           Mutually exclusive with --upsert
      --output-layer <OUTPUT-LAYER>                        Output layer name
      --skip-errors                                        Skip errors when writing features
      --active-layer <ACTIVE-LAYER>                        Set active layer (if not specified, all)
      --field-name <FIELD-NAME>                            Field name [required]
                                                           Mutually exclusive with --src-field-type
      --src-field-type <SRC-FIELD-TYPE>                    Source field type or subtype [required]
                                                           Mutually exclusive with --field-name
      --dst-field-type, --field-type <FIELD-TYPE>          Target field type or subtype [required]
    Advanced Options:
      --if, --input-format <INPUT-FORMAT>                  Input formats [may be repeated]
      --oo, --open-option <KEY>=<VALUE>                    Open options [may be repeated]
      --output-oo, --output-open-option <KEY>=<VALUE>      Output open options [may be repeated]
      --upsert                                             Upsert features (implies 'append')
                                                           Mutually exclusive with --append

DESCRIPTION

gdal vector set-field-type can be used to modify the field type of a vector dataset:

set-field-type can also be used as a step of gdal vector pipeline.

  Standard options

-f, --of, --format, --output-format <OUTPUT-FORMAT>
    Which output vector format to use. Allowed values may be given by gdal --formats | grep vector | grep rw | sort

--co, --creation-option <NAME>=<VALUE>
    Many formats have one or more optional dataset creation options that can be used to control particulars about the file created. For instance, the GeoPackage driver supports creation options to control the version.

    May be repeated.

    The dataset creation options available vary by format driver, and some simple formats have no creation options at all. A list of options supported for a format can be listed with the --formats command line option but the documentation for the format is the definitive source of information on driver creation options. See Vector drivers format specific documentation for legal creation options for each format.

    Note that dataset creation options are different from layer creation options.

--lco, --layer-creation-option <NAME>=<VALUE>
    Many formats have one or more optional layer creation options that can be used to control particulars about the layer created. For instance, the GeoPackage driver supports layer creation options to control the feature identifier or geometry column name, setting the identifier or description, etc.

    May be repeated.

    The layer creation options available vary by format driver, and some simple formats have no layer creation options at all. A list of options supported for a format can be listed with the --formats command line option but the documentation for the format is the definitive source of information on driver creation options. See Vector drivers format specific documentation for legal creation options for each format.

    Note that layer creation options are different from dataset creation options.

--overwrite
    Allow program to overwrite existing target file or dataset. Otherwise, by default, gdal errors out if the target file or dataset already exists.

--active-layer <ACTIVE-LAYER>
    Set the active layer. When it is specified, only the layer specified by its name will be subject to the processing. Other layers will be not modified. If this option is not specified, all layers will be subject to the processing.

--field-name <FIELD-NAME>
    The name of the field to modify.

    Mutually exclusive with --src-field-type. One of them is required.

--src-field-type <FIELD-TYPE>
    The field type of the fields to modify. Valid values are: Integer, IntegerList, Real, RealList, String, StringList, Binary, ` Date, Time, DateTime, Integer64, Integer64List. A field subtype can be specified instead of a field type. Valid values are: Boolean, Int16, Float32, JSON, UUID.

    Mutually exclusive with --field-name. One of them is required.

--field-type, --dst-field-type <FIELD-TYPE>
    The new field type. Valid values are: Integer, IntegerList, Real, RealList, String, StringList, Binary, ` Date, Time, DateTime, Integer64, Integer64List. A field subtype can be specified instead of a field type. Valid values are: Boolean, Int16, Float32, JSON, UUID. The field type will be derived from the subtype.

  Advanced options

--if, --input-format <format>
    Format/driver name to be attempted to open the input file(s). It is generally not necessary to specify it, but it can be used to skip automatic driver detection, when it fails to select the appropriate driver. This option can be repeated several times to specify several candidate drivers. Note that it does not force those drivers to open the dataset. In particular, some drivers have requirements on file extensions.

    May be repeated.

--oo, --open-option <NAME>=<VALUE>
    Dataset open option (format specific).

    May be repeated.

--output-open-option, --output-oo <NAME>=<VALUE>
    Added in version 3.12.

    Dataset open option for output dataset (format specific).

    May be repeated.

GDALG OUTPUT (ON-THE-FLY / STREAMED DATASET)

This program supports serializing the command line as a JSON file using the GDALG output format. The resulting file can then be opened as a vector dataset using the GDALG: GDAL Streamed Algorithm driver, and apply the specified pipeline in a on-the-fly / streamed way.

EXAMPLES

  Example 1: Change the type of a field given by its name to Integer

    $ gdal vector set-field-type input.gpkg output.gpkg --field-name myfield --field-type Integer

  Example 2: Change the type of all fields of type Date to DateTime

    $ gdal vector set-field-type input.gpkg output.gpkg --src-field-type Date --dst-field-type DateTime

AUTHOR
Alessandro Pasotti <elpaso@itopen.it>

COPYRIGHT
1998-2025